#include <iostream>
#include <math.h>
using namespace std;
int main() {
	long suma,V1;
	int brojCifara = 0, brojNovcanica = 0, k;
	int a[3] = { 5,2,1 };
	cout << "Unesi sumu: ";
	cin >> suma;
	while (suma) {

		V1 = suma;
		while (V1) {
			V1 = V1 / 10;
			brojCifara += 1;
		}
		k = pow(10, brojCifara - 1);
		for (int i = 0; i <= 2; i++) {
			if (suma / (a[i] * k) != 0) {
				brojNovcanica = brojNovcanica + suma / (a[i] * k);
				suma = suma - (suma / (a[i] * k)) * (a[i] * k);
				break;
			}
		}
		brojCifara = 0;
	}
	cout << "Broj novcanica je: " << brojNovcanica << endl;
	system("pause");
	return 0;
}